@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';
@import url('https://fonts.googleapis.com/css?family=Inter:300,400,700&display=swap');

@import './typography/wysiwyg';
@import './components/header';
@import './components/forms';
@import './vendors/swiper';

@layer base {
  /* Fonts */
  @font-face {
    font-family: 'General Sans';
    src:
      url('/fonts/GeneralSans-Regular.woff2') format('woff2'),
      url('/fonts/GeneralSans-Regular.woff') format('woff'),
      url('/fonts/GeneralSans-Regular.ttf') format('truetype');
    font-weight: 400;
    font-display: swap;
    font-style: normal;
  }

  @font-face {
    font-family: 'General Sans';
    src:
      url('/fonts/GeneralSans-Medium.woff2') format('woff2'),
      url('/fonts/GeneralSans-Medium.woff') format('woff'),
      url('/fonts/GeneralSans-Medium.ttf') format('truetype');
    font-weight: 500;
    font-display: swap;
    font-style: normal;
  }

  @font-face {
    font-family: 'General Sans';
    src:
      url('/fonts/GeneralSans-SemiBold.woff2') format('woff2'),
      url('/fonts/GeneralSans-SemiBold.woff') format('woff'),
      url('/fonts/GeneralSans-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-display: swap;
    font-style: normal;
  }

  @font-face {
    font-family: 'General Sans';
    src:
      url('/fonts/GeneralSans-Bold.woff2') format('woff2'),
      url('/fonts/GeneralSans-Bold.woff') format('woff'),
      url('/fonts/GeneralSans-Bold.ttf') format('truetype');
    font-weight: 700;
    font-display: swap;
    font-style: normal;
  }

  /* Tags */
  html {
    font-family: 'Inter', sans-serif;
    font-weight: 300;

    @screen 2xl {
      font-size: 1.125rem;
    }
  }

  hr {
    border-color: #141414;
    margin-bottom: 1rem;
  }

  .wrapper {
    @apply mb-[5rem] ml-auto px-4 lg:w-[90%] lg:px-0 lg:pr-4;
  }

  h1,
  h2,
  h3,
  h4,
  h5 {
    line-height: 1.2em;
  }

  h1 {
    font-family: 'General Sans Bold', sans-serif;
    font-weight: 700;
    font-size: 2.8rem;
    margin-bottom: 1rem;
  }

  h2,
  h5 {
    font-family: 'General Sans Medium', 'General Sans SemiBold', 'General Sans',
      sans-serif;
  }

  h2 {
    font-size: 2.25rem;
    margin-bottom: 1rem;
  }

  h3 {
    font-size: 1.25rem;
    font-weight: 600;
  }

  h4 {
    font-weight: 700;
    line-height: 1.6em;
    text-transform: uppercase;
  }

  strong {
    font-weight: 700;
  }

  .list-content {
    ul {
      list-style: disc;
      list-style: inside;
    }
  }

  ul.list {
    list-style: disc;
    padding-left: 0.6em;
  }

  ul.list--red {
    list-style: none;
    padding-left: 0.6em;
  }

  ul.list--red li::before {
    content: '\2022';
    color: #d41a1a;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    margin-left: -1em;
  }

  .general-sans-bold {
    font-family: 'General Sans Bold', 'General Sans SemiBold', 'General Sans',
      sans-serif;
  }
}

:root {
  --opacity: 0;
}

.blocks {
  @apply pt-12 lg:pt-[2.2rem];
}

.blocks > * {
  @apply mb-10;
}

/* Header */
.menu {
  display: inline-flex;
  gap: 3rem;
  z-index: 2;
}

.menu-item:hover > a,
.menu-item:hover::before {
  color: #d41a1a;
}

.menu-item a {
  line-height: 1.2em;
}

.menu-item-has-children > a {
  padding-right: 1.2em;
}

nav > div > ul > .menu-item-has-children > a::after {
  content: url('/images/svg/dropdown-arrow.svg');
  position: absolute;
  margin-left: 0.7em;
  margin-top: 0.2em;
  transition: 400ms ease-out;
}

.menu-item-has-children--open > a::after {
  transform: rotate(-180deg);
}

.menu-item-has-children:hover .sub-menu {
  visibility: visible;
  display: flex;
}

.black-menu-background {
  opacity: 0;
  transition: 200ms cubic-bezier(0.4, 0, 0.2, 1);
  transition-delay: 70ms;
}

nav > div > ul > .menu-item-has-children > .sub-menu {
  display: flex;
  flex-direction: column;
  z-index: 2;
  position: absolute;
  top: 100%;
  right: 0;
  width: 100%;
  visibility: hidden;
  height: fit-content;
  opacity: 0;
  background-color: #fff;
  transition: 200ms cubic-bezier(0.4, 0, 0.2, 1);
  transition-delay: 70ms;
  padding: 0 0 2rem 0;
  gap: 2.8rem;
  margin-bottom: 4rem;
  pointer-events: none;
}

.sub-menu a,
.sub-menu .menu-item::before {
  padding: 0 10%;
  display: block;
}

.sub-menu .menu-item a::after {
  content: '';
  display: block;
  position: absolute;
  right: 0;
  top: 2rem;
  bottom: 2.5rem;
  width: 48%;
  z-index: 2;
  background-image: url('/images/menu/products.webp');
  background-size: cover;
  background-position: center;
  opacity: var(--opacity);
}

.nos-expertises .sub-menu {
  a::after {
    background-image: url('/images/menu/nos_expertises.webp');
  }
}

.produits-et-services .sub-menu .menu-item a::after {
  background-image: url('/images/menu/products.webp');
  opacity: 1 !important;
}

// Image for submenu Ressources
.events .sub-menu {
  a::after {
    background-image: url('/images/menu/articles.webp');
  }
}

.articles {
  a::after {
    background-image: url('/images/menu/articles.webp') !important;
  }
}

.inge_indu {
  a::after {
    background-image: url('/images/menu/inge_indu.webp') !important;
  }
}

.parc-by-red {
  a::after {
    background-image: url('/images/menu/nos_expertises.webp') !important;
  }
}

.photobio {
  a {
    &::after {
      background-image: url('/images/menu/photobio.webp') !important;
    }
  }
}

.sub-menu .sub-menu,
.sub-menu .also-sub-menu {
  position: static;
  gap: 1.3rem;
  display: none;
  z-index: -1;
  margin-bottom: 0;
}

.sub-menu .sub-menu .menu-item a,
.sub-menu .also-sub-menu .menu-item a {
  font-size: 1.1rem;
  font-weight: 300;
  display: flex;
  align-items: flex-end;
}

.sub-menu .sub-menu .menu-item::before,
.sub-menu .also-sub-menu .menu-item::before {
  display: none;
}

.sub-menu .sub-menu .menu-item a::after,
.sub-menu .also-sub-menu .menu-item a::after {
  display: none;
}

.sub-menu .sub-menu-right .sub-menu .menu-item a {
  width: 100% !important;
}

.menu-item-has-children.sub-menu-right .sub-menu {
  flex-direction: column;
  gap: 2rem;
  display: none;
  position: absolute;
  right: 0;
  top: 2rem;
  bottom: 0;
  width: 50%;
  z-index: 3;
  height: 96%;
  background-color: #ffffff;
}

.menu-item-has-children.sub-menu-right:hover .sub-menu {
  // visibility: visible;
  // display: flex;
}

.menu-item-has-children.sub-menu-right .sub-menu .menu-item {
  /* height: 20rem; */
  min-height: 200px;
  height: 50%;
  background-image: url('/images/menu/products.webp');
  background-size: cover;
  background-position: center;
}

.menu-item-has-children.sub-menu-right .sub-menu .menu-item a {
  padding: 1rem;
  color: #fff;
}

/* Right sub-submenus images */
.menu-item-has-children.sub-menu-right .sub-menu .menu-item.red-t {
  background-image: url('/images/menu/red_t.webp');
}

.menu-item-has-children.sub-menu-right .sub-menu .menu-item.red-sense {
  background-image: url('/images/menu/red_sense.webp');
}

.menu-item-has-children.sub-menu-right .sub-menu .menu-item.myred {
  background-image: url('/images/menu/my_red.webp');
}

.menu-item-has-children.sub-menu-right .sub-menu .menu-item.red-support {
  background-image: url('/images/menu/red_support.webp');
}

.menu-item-has-children .sub-menu .menu-item.full-led a::after {
  background-image: url('/images/menu/sol_full_led.webp');
}

/* Responsive nav */
.nav--mobile .menu {
  display: flex;
  flex-direction: column;
  gap: 2.8rem;
  margin-bottom: 4rem;
}

.nav--mobile .menu {
  padding-top: 0;
}

.nav--mobile > div > ul > .menu-item-has-children > .sub-menu {
  top: 0;
  padding: 1.75rem 2.5rem;
}

.nav--mobile .menu-item,
.sub-menu .menu-item {
  display: grid;
  gap: 0.5rem;
}

.nav--mobile a,
.sub-menu a {
  font-size: 30px;
  font-weight: 700;
  width: fit-content;
}

.sub-menu {
  counter-reset: counter-menu;
  list-style-type: none;
}

.sub-menu li {
  display: block;
}

.sub-menu li:before {
  content: '0' counter(counter-menu);
  counter-increment: counter-menu;
}

.sub-menu .menu-item,
.nav--mobile .menu-item-has-children {
  position: static;
}

.sub-menu .menu-item::after {
  display: none;
}

.nav--mobile .menu-item-has-children > a::after {
  display: none;
}

.nav--mobile .sub-menu a,
.nav--mobile .sub-menu .menu-item::before {
  padding: 0;
}

.nav--mobile .sub-menu {
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: translateX(-100%);
  visibility: visible;
  padding: 1.75rem 2.5rem;
}

.sub-menu--open {
  transform: translate(0, 0) !important;
  display: flex !important;
  visibility: visible !important;
  opacity: 1 !important;
  height: fit-content !important;
  pointer-events: all !important;
  transition-delay: 10ms !important;
}

.sub-menu .sub-menu--open {
  height: 93% !important;
}

.black-menu-background--open {
  height: 100vh !important;
  opacity: 1 !important;
  pointer-events: all !important;
  transition-delay: 10ms !important;
}

.nav--mobile .sub-menu .sub-menu {
  transform: unset;
  padding: 2rem 0 0 0;
  margin: 0;
}

.nav--mobile .sub-menu .menu-item a::after {
  display: none;
}

.nav--mobile .sub-menu .sub-menu .menu-item a {
  padding: 0;
}

.nav--mobile .menu-item-has-children.sub-menu-right .sub-menu {
  position: static;
  display: none;
  width: 100%;
}

.nav--mobile .menu-item-has-children.sub-menu-right .sub-menu .menu-item a {
  padding: 5rem 1rem 1rem 1rem;
}

.full-led {
  margin-bottom: 8em;
}

.full-led .sub-menu,
.also-sub-menu {
  display: flex;
  flex-direction: column;
  transform: translate(0, 0) !important;
  visibility: visible !important;
  opacity: 1 !important;
  height: auto;
  z-index: 1 !important;
  margin-top: 1rem;
}

/* Composants */
.image-static-fade .image-wrap {
  position: relative;
}

.image-static-fade .image-wrap::after,
.image-static-fade.is-right .image-wrap::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 30%;
  pointer-events: none;
  background: linear-gradient(0deg, rgba(255, 255, 255, 0) 0%, #fff 91.67%);
}

/* Swiper */
.swiper-pagination-bullet {
  background-color: #d41a1a;
}

/* Home */
.partners-slider .swiper-wrapper {
  transition-timing-function: linear;
  cursor: grab;
}

.partners-slider .swiper-slide {
  display: flex;
  justify-content: center;
  user-select: none;
}

/* Swiper cas producteurs */
.cas-producteurs-pagination {
  justify-content: space-between;
  margin: 3rem 0;
}

.cas-producteurs-pagination .swiper-pagination-bullet {
  width: 30%;
  background-color: #d41a1a;
  border-radius: 0;
  height: 0.2rem;
}

/* PARC by RED */
.text-rainbow {
  background: linear-gradient(to right, #db4437, #f4b400, #0f9d58, #4285f4);
  color: transparent;
  background-clip: text;
  -webkit-background-clip: text;
}

/* Solutions full led */
.scale-on-hover img {
  transition: 1s ease-out;
}

.scale-on-hover:hover img {
  transform: scale(1.2);
}

/* Articles */
.article__tags > div:nth-child(2n) {
  background-color: #f4b400;
}

/* Fade images */
.image-fade {
  transition: 600ms ease-out;
}

.fade-left {
  transform: translateX(10%);
  opacity: 0;
}

.fade-right {
  transform: translateX(-10%);
  opacity: 0;
}

.fade--revealed {
  transform: translate(0, 0);
  opacity: 1;
}

/* Footer */
.bg-red .menu-item:hover > a,
.bg-red .menu-item:hover::before {
  color: #fff;
}

/* Responsive */
@media (min-width: 1024px) {
  h1 {
    font-size: 3.3rem;
  }

  h2 {
    font-size: 3rem;
  }

  h3 {
    font-size: 1.5rem;
  }

  .image-static-fade .image-wrap::after {
    content: '' !important;
    position: absolute !important;
    top: 0 !important;
    left: 0 !important;
    bottom: 0 !important;
    width: 30% !important;
    height: 100% !important;
    pointer-events: none !important;
    background: linear-gradient(
      -90deg,
      rgba(255, 255, 255, 0) 0%,
      #fff 91.67%
    ) !important;
  }

  .image-static-fade.is-right .image-wrap::after {
    left: unset !important;
    right: 0 !important;
    height: 100% !important;
    background: linear-gradient(
      90deg,
      rgba(255, 255, 255, 0) 0%,
      #fff 91.67%
    ) !important;
  }

  .also-sub-menu {
    display: flex !important;
  }

  .full-led {
    margin-bottom: 0;
  }
}

.bg-phone {
  background:
    linear-gradient(0deg, theme('colors.white'), theme('colors.white')) 0 100% /
      100% 4rem no-repeat,
    var(--bg, theme('colors.black')) 50% / cover no-repeat;

  @apply object-cover object-center;
}

@screen lg {
  .bg-phone {
    background:
      linear-gradient(0deg, theme('colors.white'), theme('colors.white')) 0 0 /
        100% 4rem no-repeat,
      linear-gradient(0deg, theme('colors.white'), theme('colors.white')) 0 100% /
        100% 4rem no-repeat,
      var(--bg, theme('colors.black')) 50% / cover no-repeat;
  }
}

/* clears the ‘X’ from Internet Explorer */
input[type='search']::-ms-clear {
  display: none;
  width: 0;
  height: 0;
}
input[type='search']::-ms-reveal {
  display: none;
  width: 0;
  height: 0;
}
/* clears the ‘X’ from Chrome */
input[type='search']::-webkit-search-decoration,
input[type='search']::-webkit-search-cancel-button,
input[type='search']::-webkit-search-results-button,
input[type='search']::-webkit-search-results-decoration {
  display: none;
}

.link-underline {
  a {
    text-decoration: underline;
  }
}

.path {
  &-white {
    & > path {
      stroke: #fff !important;
      stroke-dasharray: 0 !important;
    }
  }
}
